Subject: UDP congestion control

From: [email-masked]
Date: Mon, 8 Nov 1999 10:59:36 -0500 (EST)

Way back when I fiddled with some congestion control for NFS over UDP.
(It was described in a Usenix paper called "Lessons Learned Tuning the
4.3BSD Reno NFS Implementation" or something like that:-) I did have
some success but never achieved the level of congestion control that
TCP with Van Jacobson's tweeks, delivered.

I admit I have no idea what success others have had since, but I will
state that, given the highly bursty traffic distribution that NFS over
UDP generates and the fact the individual RPCs aren't ordered in any
way, congestion control isn't easy.

Good luck with it, rick